%define name  flac
%define version 1.3.1
%define release %mkrel 2

%define major  8
%define libname %mklibname %{name} %{major}
%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}

Name: %name 
Summary: An encoder/decoder for the Free Lossless Audio Codec
Summary(de): Ein Encoder/Decoder für den Free Lossless Audio Codec
Version:  %version
Release:  %release
License: GPL
Group:  Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.xz
Patch1:		flac-1.3.1-CVE-2014-9028.diff
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: %{_lib}ogg-devel
BuildRequires: nasm
BuildRequires: %{_lib}id3_3.8_3-devel
BuildRequires: %{_lib}gtk+-devel
BuildRequires: gettext-devel

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.
#german
%description -l de
Ein Encoder/Decoder für den Free Lossless Audio Codec 
(freier verlustfreier Audio Codec)
FLAC ist ein Open Source verlustfreier audio Codec entwickelt von 
Josh Coalson. FLAC enthält 
1)`libFLAC', eine Bibliothek in der Referenz Encoder und Decoder implementiert 
sind, sie stehen unter GNU Lesser General public License (LGPL); 
2)`flac', ein Kommandozeilen-Programm für Encodieren und Decodieren von Dateien, 
lizensiert unter der GNU General public License (GPL);
3)`metaflac', ein Kommandozeilen-Programm zum Editieren von FLAC metadaten, 
lizensiert von der GPL;
4)Player Erweiterungen für XMMS und Winamp, lizensiert von der GPL;
5)Dokumentation, lizensiert von der GNU Freie Dokumentation Lizenz.


%package -n %libname 
Summary: Shared libraries for FLAC
Summary(de): Freigegebene C Bibliotheken für FLAC
Group:  System/Libraries

%description  -n %libname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.
#german
%description  -n %libname -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken für die C-Anwendungen.

%package -n %libname-devel
Summary: Libraries and headers needed for building apps using FLAC
Summary(de): ibliotheken und Header für das erstellen von Anwendungen mit FLAC
Group: Development/Libraries
Requires: %{libname} = %{version}-%release
Requires: libogg-devel
Provides:  libflac-devel = %version-%release
Provides:  liboggflac-devel = %version-%release
Obsoletes:  libflac-devel < %version
Obsoletes:  liboggflac-devel < %version

%description -n%libname-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.
#german
%description -n%libname-devel -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken und Headerdateien um Anwendungen 
mit FLAC in C zu erstellen.

%package -n %libnamepp
Summary: Shared C++ libraries for FLAC
Summary(de): Freigegebene C++ Bibliotheken für FLAC
Group: System/Libraries

%description  -n %libnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.
#german
%description  -n %libnamepp -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken für die C++-Anwendungen.

%package -n %libnamepp-devel
Summary: Libraries and headers needed for building apps using FLAC++
Summary(de): Bibliotheken und Header für das erstellen von Anwendungen mit FLAC++
Group: Development/Libraries
Requires: %libnamepp = %version-%release
Requires: %libname-devel = %version-%release
Provides:  libflac++-devel = %version-%release
Provides:  liboggflac++-devel = %version-%release
Obsoletes:  libflac++-devel < %version
Obsoletes:  liboggflac++-devel < %version

%description -n %libnamepp-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.
#german
%description -n %libnamepp-devel -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken und Headerdateien um Anwendungen 
mit FLAC in C++ zu erstellen.

%package doc
Summary:	Documentation for %name
Group:		Documentation
Requires:   %name
BuildArch:  noarch

%description doc
Documentation files for %name


%prep
%setup -q -n %name-%version
%apply_patches

%build
rm -rf html

cp -r doc/html .

./autogen.sh -V
%configure2_5x --disable-static --disable-xmms-plugin --disable-thorough-tests --with-ogg
    
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/flac-%{version} installed-docs
rm -fr %buildroot%_libdir/xmms

# remove static libraries
rm -f %buildroot%{_libdir}/libFLAC*.la

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-, root, root)
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %libname 
%defattr(-, root, root)
%_libdir/libFLAC.so.%{major}*

%files -n %libnamepp 
%defattr(-, root, root)
%_libdir/libFLAC++.so.%{majorpp}*

%files -n %libname-devel 
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.so
%_datadir/aclocal/libFLAC.m4
%_libdir/pkgconfig/flac.pc

%files -n %libnamepp-devel 
%defattr(-, root, root)
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.so
%_datadir/aclocal/libFLAC++.m4
%_libdir/pkgconfig/flac++.pc

%files doc
%defattr(-, root, root)
%doc AUTHORS COPYING* README installed-docs/*

%changelog
* Wed Nov 30 2016 adrianomorselli <adrianomorselli> 1.3.1-2uplos2016
- rebuild

* Sat Jul 09 2016 bb <bb> 1.3.1-2pclos2016
- update for 2016

* Tue Dec 02 2014 bb <bb> 1.3.1-1pclos2014
- update

* Sat Nov 16 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.0-1pclos2013
- 1.3.0
- dropped patches
- add remove of static libraries

